Debian Bug report logs - #352653
RFP: libdomainkeys -- DomainKeys reference implementation

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Silvestre Zabala <silvestre@zabala.name>

Date: Mon, 13 Feb 2006 09:21:33 UTC

Severity: wishlist

Tags: patch, wontfix

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Silvestre Zabala <silvestre@zabala.name>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Silvestre Zabala <silvestre@zabala.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libdomainkeys -- The DomainKeys Library provides a foundation for implementing the DomainKeys email authentication system in mail transfer agents and mail user agents.
Date: Mon, 13 Feb 2006 10:09:44 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : libdomainkeys
  Version         : 0.68
  Upstream Author : Russell Nelson <nelson@crynwr.com>
* URL             : http://domainkeys.sourceforge.net/
* License         : Yahoo! DomainKeys Public License Agreement v1.1 http://domainkeys.sourceforge.net/license/softwarelicense1-1.html
  Description     : The DomainKeys Library provides a foundation for implementing the DomainKeys email authentication system in mail transfer agents and mail user agents.

The purpose of this project is to create a freely available library that
can be easily adopted by most MTA and UA implementers to add DomainKeys
functionality.

The DomainKeys Library is being written in C and provides a foundation
for implementing the DomainKeys email authentication system in mail
transfer agents and mail user agents.

This project is officially supported by Yahoo! and information
pertaining to the motivation behind DomainKeys can be found at
http://antispam.yahoo.com/domainkeys and
http://en.wikipedia.org/wiki/DomainKeys.

According to the website the license is royalty-free, worldwide,
and non-exclusive.

Best regards,
  Silvestre

-- 
http://silvestre.zabala.name/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <magnus@kibibyte.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 352653@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <magnus@kibibyte.se>
To: 352653@bugs.debian.org
Cc: domainkeys@users.sourceforge.net, control@bugs.debian.org
Subject: Re: RFP: libdomainkeys
Date: Wed, 14 Jun 2006 13:30:29 +0200
[Message part 1 (text/plain, inline)]
retitle 352653 ITP: libdomainkeys -- DomainKeys reference implementation
tags 352653 patch waits-for-sponsor
owner 352653 holmgren@lysator.liu.se
thanks

I have created a set of packages available from 
http://www.kibibyte.se/download/debian/. As a proof of concept, this mail is 
DK-signed using it (and a custom Exim package).

However, there seems to be some confusion as to copyright and licences.

http://antispam.yahoo.com/domainkeys states that "Yahoo!'s DomainKeys 
Intellectual Property may be licensed under either of the following terms:
* Yahoo! DomainKeys Patent License Agreement [v1.2]
* GNU General Public License version 2.0 (and no other version)."

But the license included in the source tarball is "Yahoo! DomainKeys Public 
License Agreement v1.1". There is also no mention of GPL.

I guess that the *patents* are licenced separately from the reference 
*implementation*. If so, there seems to be no clear copyright statement in 
the tarball (the "Copyright (c) 2004, Yahoo! Inc." in softwarelicense1-1.html 
appears to refer to the license text itself, I mean, it's meant to used for 
redistributions with additions and modifications as well).

So in debian/copyright I wrote "Copyright (c) 2004-2006, Yahoo! Inc. and 
contributors." and a reference to the HTML file.

The Makefile was very simple and only built a static library, so I 
manually "libtoolized" it quite a bit. Next I'll create a pkg-config file.

-- 
Magnus Holmgren        magnus@kibibyte.se holmgren@lysator.liu.se
                       (No Cc of list mail needed, thanks)
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as holmgren@lysator.liu.se. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, holmgren@lysator.liu.se:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, holmgren@lysator.liu.se. Full text and rfc822 format available.

Message #21 received at 352653@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Debian Bug Tracking System <352653@bugs.debian.org>
Subject: Re: RFP: libmail-domainkeys-perl -- Perl DomainKeys implementation
Date: Mon, 14 Aug 2006 16:19:31 +0200
[Message part 1 (text/plain, inline)]
Anything new regarding libmail-domainkeys-perl? I'd really like to
see this module in Debian.


Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Carole King: Home Again
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, holmgren@lysator.liu.se:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@lysator.liu.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, holmgren@lysator.liu.se. Full text and rfc822 format available.

Message #26 received at 352653@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@lysator.liu.se>
To: 352653@bugs.debian.org
Cc: gregor herrmann <gregor+debian@comodo.priv.at>
Subject: Re: Bug#352653: RFP: libmail-domainkeys-perl -- Perl DomainKeys implementation
Date: Tue, 15 Aug 2006 14:40:49 +0200
[Message part 1 (text/plain, inline)]
On Monday 14 August 2006 16:19, gregor herrmann took the opportunity to say:
> Anything new regarding libmail-domainkeys-perl? I'd really like to
> see this module in Debian.

Stuck on legal issues. See 
http://lists.debian.org/debian-legal/2006/06/msg00292.html and 
http://lists.debian.org/debian-legal/2006/07/msg00149.html.

So far there have been few real signs of interest, so your input is welcome. 
If more people show interest the Debian folks might spend some time helping 
to resolve the issues.

-- 
Magnus Holmgren        holmgren@lysator.liu.se
                       (No Cc of list mail needed, thanks)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, holmgren@lysator.liu.se:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, holmgren@lysator.liu.se. Full text and rfc822 format available.

Message #31 received at 352653@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Magnus Holmgren <holmgren@lysator.liu.se>
Cc: 352653@bugs.debian.org
Subject: Re: Bug#352653: RFP: libmail-domainkeys-perl -- Perl DomainKeys implementation
Date: Tue, 15 Aug 2006 15:08:15 +0200
[Message part 1 (text/plain, inline)]
On Tue, 15 Aug 2006 14:40:49 +0200, Magnus Holmgren wrote:

> > Anything new regarding libmail-domainkeys-perl? I'd really like to
> > see this module in Debian.
> Stuck on legal issues. See 
> http://lists.debian.org/debian-legal/2006/06/msg00292.html and 
> http://lists.debian.org/debian-legal/2006/07/msg00149.html.

Oh, I see.
Thanks for the pointers.
 
Does it help that
http://domainkeys.sourceforge.net/license/patentlicense1-0.html seems
to be replaced by
http://antispam.yahoo.com/domainkeys/patentlicense1-2.html ?

Cheers,
gregor 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: ACDC: Love bomb
[signature.asc (application/pgp-signature, inline)]

Owner changed from holmgren@lysator.liu.se to Magnus Holmgren <magnus@kibibyte.se>. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Magnus Holmgren <magnus@kibibyte.se>:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to paul cannon <pik@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Magnus Holmgren <magnus@kibibyte.se>. Full text and rfc822 format available.

Message #38 received at 352653@bugs.debian.org (full text, mbox):

From: paul cannon <pik@debian.org>
To: 352653@bugs.debian.org
Subject: libdomainkeys in non-free?
Date: Tue, 31 Oct 2006 11:42:44 -0700
Have you considered simply putting this package in non-free? When and if
the legal questions are further resolved, transition it to main.

-- 
paul



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <magnus@kibibyte.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #43 received at 352653@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <magnus@kibibyte.se>
To: paul cannon <pik@debian.org>, 352653@bugs.debian.org
Subject: Re: Bug#352653: libdomainkeys in non-free?
Date: Wed, 1 Nov 2006 01:28:03 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 31 October 2006 19:42, paul cannon took the opportunity to say:
> Have you considered simply putting this package in non-free? When and if
> the legal questions are further resolved, transition it to main.

Hmm, yes, I think so, although the naming issue has since been cleared. The 
biggest (only) problem is the choice of venue clause, which can be considered 
to make the package unsuitable for distribution - at least theoretically.

-- 
Magnus Holmgren
magnus@kibibyte.se  holmgren@lysator.liu.se
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#352653; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <magnus@kibibyte.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #48 received at 352653@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <magnus@kibibyte.se>
To: 373213@bugs.debian.org, 352653@bugs.debian.org
Cc: control@bugs.debian.org, debian-devel@lists.debian.org
Subject: DomainKeys obsolete, abandoning ITPs
Date: Fri, 16 Mar 2007 17:54:13 +0100
[Message part 1 (text/plain, inline)]
retitle 373213 RFP: libmail-domainkeys-perl -- Perl DomainKeys implementation
noowner 373213
tags 373213 + wontfix
retitle 352653 RFP: libdomainkeys -- DomainKeys reference implementation
noowner 352653
tags 352653 + wontfix
thanks

With DomainKeys being superseded by DKIM, the licensing of libdomainkeys 
unclear, Etch frozen, and additionally libmail-dkim-perl including support 
for DomainKeys, I suggest that these two WNPP bugs be closed.

-- 
Magnus Holmgren
magnus@kibibyte.se / holmgren@lysator.liu.se
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to RFP: libdomainkeys -- DomainKeys reference implementation from ITP: libdomainkeys -- DomainKeys reference implementation. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. (Fri, 16 Mar 2007 17:00:14 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Magnus Holmgren <magnus@kibibyte.se>. Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. (Fri, 16 Mar 2007 17:00:15 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Magnus Holmgren <magnus@kibibyte.se> to control@bugs.debian.org. (Fri, 16 Mar 2007 17:00:16 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Silvestre Zabala <silvestre@zabala.name>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 352653-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 352653-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 16 Mar 2008 11:59:47 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 352653
 stop

Further comments on the work done in the bug sent to
352653@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2008 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:38:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.